Subject: Re: bug#75147: [PATCH maintenance] hydra: services: guix-packages-website: Update to 0.3.0-0.e669a5e963.

From: Christopher Baines <[email-masked]>
Date: Sat, 18 Jan 2025 07:18:01 +0000

Luis Felipe <[email-masked]> writes:

>> Thnaks,
>
> No, no, thank you, Chris.
>
> By the way, I see that the search box in the navigation bar is not
> displaying as expected. I see that nginx is serving obsolete static
> files (CSS for example), no matter if you ask the browser to request
> new resources (using Crtl+F5 or the "Disable cache" option).

I think the situation has resolved itself now.

Maybe this can be avoided in the future by tweaking the NGinx
configuration or deleting the NGinx cache when updating. I think the
most reliable approach I've seen to address this is use content specific
URLs for CSS from within the HTML (e.g. include the hash of the file
you're linking to), I'm not sure Artanis has a feature for this yet
though.